/* airline_whitenoise_plot.sas */
TITLE1 'Visualisation of the test for white noise';
TITLE2 'for the trend und seasonal adjusted';
TITLE3 'Airline Data';
/* Note that this program needs data2 generated by the previous program (airline_whitenoise.sas) */

/* Calculate the sum of the periodogram */
PROC MEANS DATA=data2(FIRSTOBS=2) NOPRINT;
  VAR P_01;
  OUTPUT OUT=data3 SUM=psum;

/* Compute empirical distribution function of cumulated periodogram and its confidence bands */
DATA data4;
  SET data2(FIRSTOBS=2);
  IF _N_=1 THEN SET data3;
  RETAIN s 0;
  s=s+P_01/psum;
  fm=_N_/(_FREQ_-1);
  yu_01=fm+1.63/SQRT(_FREQ_-1);
  yl_01=fm-1.63/SQRT(_FREQ_-1);
  yu_05=fm+1.36/SQRT(_FREQ_-1);
  yl_05=fm-1.36/SQRT(_FREQ_-1);

/* Graphical options */
SYMBOL1 V=NONE I=STEPJ C=GREEN;
SYMBOL2 V=NONE I=JOIN C=RED L=2;
SYMBOL3 V=NONE I=JOIN C=RED L=1;
AXIS1 LABEL=('x') ORDER=(.0 TO 1.0 BY .1);
AXIS2 LABEL=NONE;

/* Plot empirical distribution function of cumulated periodogram with its confidence bands */
PROC GPLOT DATA=data4;
  PLOT fm*s=1 yu_01*fm=2 yl_01*fm=2 yu_05*fm=3 yl_05*fm=3 / OVERLAY HAXIS=AXIS1 VAXIS=AXIS2;
RUN; QUIT;
