/* sunspot_dsae.sas */
TITLE1 'Periodogram and spectral density estimate';
TITLE2 'Woelfer Sunspot Data';

/* Read in the data */
DATA data1;
  INFILE 'c:\data\sunspot.txt';
  INPUT num @@;

/* Computation of peridogram and estimation of spectral density */
PROC SPECTRA DATA=data1 P S OUT=data2;
  VAR num;
  WEIGHTS 1 2 3 3 3 2 1;

/* Adjusting different periodogram definitions */
DATA data3;
  SET data2(FIRSTOBS=2);
  lambda=FREQ/(2*CONSTANT('PI'));
  p=P_01/2;
  s=S_01/2*4*CONSTANT('PI');

/* Graphical options */
SYMBOL1 I=JOIN C=RED V=NONE L=1;
AXIS1 LABEL=(F=CGREEK 'l') ORDER=(0 TO .5 BY .05);
AXIS2 LABEL=NONE;

/* Plot periodogram and estimated spectral density */
PROC GPLOT DATA=data3;
  PLOT p*lambda / HAXIS=AXIS1 VAXIS=AXIS2;
  PLOT s*lambda / HAXIS=AXIS1 VAXIS=AXIS2;
RUN; QUIT;
