/* donauwoerth_dcheck2.sas*/
TITLE1 'Residual Analysis';
TITLE2 'Donauwoerth Data';

/* Note that this program requires 'seasad' and 'donau' generated by the program donauwoerth_adjustment.sas */

/* Preparations */
DATA donau2;
  MERGE donau seasad(KEEP=SA);

/* Test for white noise */
PROC ARIMA DATA=donau2;
  IDENTIFY VAR=sa NLAG=60 NOPRINT;
  ESTIMATE METHOD=CLS p=3 q=2 NOPRINT;
  FORECAST LEAD=0 OUT=forecast1 NOPRINT;
  ESTIMATE METHOD=CLS p=2 q=3 NOPRINT;
  FORECAST LEAD=0 OUT=forecast2 NOPRINT;

/* Compute empirical autocorrelations of estimated residuals */
PROC ARIMA DATA=forecast1;
  IDENTIFY VAR=residual NLAG=150 OUTCOV=cov1 NOPRINT;
RUN;

PROC ARIMA DATA=forecast2;
  IDENTIFY VAR=residual NLAG=150 OUTCOV=cov2 NOPRINT;
RUN;

/* Graphical options */
SYMBOL1 V=DOT C=GREEN I=JOIN H=0.5;
AXIS1 LABEL=(ANGLE=90 'Residual Autocorrelation');
AXIS2 LABEL=('Lag') ORDER=(0 TO 150 BY 10);

/* Plot empirical autocorrelation function of estimated residuals */
PROC GPLOT DATA=cov1;
  PLOT corr*LAG=1 / VREF=0 VAXIS=AXIS1 HAXIS=AXIS2;
RUN;

PROC GPLOT DATA=cov2;
  PLOT corr*LAG=1 / VREF=0 VAXIS=AXIS1 HAXIS=AXIS2;
RUN; QUIT;