/* donauwoerth_final.sas */
TITLE1 ;
TITLE2 ;

/* Note that this program requires the file 'seasad' and 'seasad1' generated by program donauwoerth_adjustment.sas */

/* Computations of forecasts for next 31 days */
PROC ARIMA DATA=seasad;
  IDENTIFY VAR=sa NLAG=300 NOPRINT;
  ESTIMATE METHOD=CLS p=2 q=3 OUTMODEL=model NOPRINT;
  FORECAST LEAD=31 OUT=forecast;
RUN;

/* Plot preparations */
DATA forecast(DROP=residual sa);
  SET forecast(FIRSTOBS=7301);
  N=_N_;
  date=MDY(1,N,2005);
  FORMAT date ddmmyy10.;

DATA seascomp(KEEP=SC RENAME=(SC=SC1));
  SET seasad(FIRSTOBS=1 OBS=31);

/* Adding the seasonal components and mean */
DATA seascomp;
  MERGE forecast seascomp seasad1(OBS=31 KEEP=SC RENAME=(SC=SC2));
  forecast=forecast+SC1+SC2+201.6;


DATA plotforecast;
  SET donau seascomp;

/* Graphical display */
SYMBOL1 V=DOT C=GREEN I=JOIN H=0.5;
SYMBOL2 V=DOT I=JOIN H=0.4 C=BLUE W=1 L=1;
AXIS1 LABEL=NONE ORDER=('01OCT04'd '01NOV04'd '01DEC04'd '01JAN05'd '01FEB05'd);
AXIS2 LABEL=(ANGLE=90 'Original series with forecasts') ORDER=(0 to 300 by 100);
LEGEND1 LABEL=NONE VALUE=('Original series' 'Forecasts' 'Lower 95-percent confidence limit' 'Upper 95-percent confidence limit');

PROC GPLOT DATA=plotforecast(FIRSTOBS=7209);
  PLOT discharge*date=1 forecast*date=2 / OVERLAY HAXIS=AXIS1 VAXIS=AXIS2 LEGEND=LEGEND1;
RUN; QUIT;
