/* donauwoerth_overfitting.sas */
TITLE1 'Overfitting';
TITLE2 'Donauwoerth Data';
/* Note that this program requires the file 'seasad' generated by program donauwoerth_adjustment.sas as well as 'out32' and 'out23' generated by donauwoerth_dcheck3.sas */

/* Estimate coefficients for chosen orders p and q */
PROC ARIMA DATA=seasad;
  IDENTIFY VAR=sa NLAG=100 NOPRINT;
  ESTIMATE METHOD=CLS p=3 q=3;
  FORECAST LEAD=0 OUT=out33(KEEP=residual RENAME=residual=res33);
RUN;

PROC ARIMA DATA=seasad;
  IDENTIFY VAR=sa NLAG=100 NOPRINT;
  ESTIMATE METHOD=CLS p=4 q=2;
  FORECAST LEAD=0 OUT=out42(KEEP=residual RENAME=residual=res42);
RUN;

PROC ARIMA DATA=seasad;
  IDENTIFY VAR=sa NLAG=100 NOPRINT;
  ESTIMATE METHOD=CLS p=2 q=4;
  FORECAST LEAD=0 OUT=out24(KEEP=residual RENAME=residual=res24);
RUN;

/* Merge estimated residuals */
DATA residuals;
  MERGE out33 out42 out24 out32 out23;

/* Compute standard deviations of estimated residuals */
PROC MEANS DATA=residuals;
  VAR res33 res42 res24 res32 res23;
RUN; QUIT;