/* donauwoerth_pacf.sas */
TITLE1 'Partial Autocorrelation';
TITLE2 'Donauwoerth Data';

/* Note that this program requires the file 'seasad' generated by the previous program (donauwoerth_adjustment.sas) */

/* Graphical options */
SYMBOL1 V=DOT I=JOIN C=GREEN H=0.5;
SYMBOL2 V=NONE I=JOIN C=BLACK L=2;
AXIS1 LABEL=(ANGLE=90 'Partial Autocorrelation') ORDER=(-0.4 TO 1 BY 0.1);
AXIS2 LABEL=('Lag');
LEGEND2 LABEL=NONE VALUE=('Partial autocorrelation of adjusted series'
  'Lower 95-percent confidence limit' 'Upper 95-percent confidence limit');

/* Compute partial autocorrelation of the seasonal adjusted data */
PROC ARIMA DATA=seasad;
  IDENTIFY VAR=sa NLAG=100 OUTCOV=partcorr NOPRINT;
RUN;

/* Add confidence intervals */
DATA partcorr;
SET partcorr;
u95=0.0234;
l95=-0.0234;

/* Plot partial autocorrelation */
PROC GPLOT DATA=partcorr(OBS=100);
  PLOT partcorr*lag=1 u95*lag=2 l95*lag=2 / OVERLAY VAXIS=AXIS1 HAXIS=AXIS2 VREF=0 LEGEND=LEGEND2;
RUN;

/* Indicate greatest values of partial autocorrelation */
DATA gp(KEEP=lag partcorr);
  SET partcorr;
  IF ABS(partcorr) le 0.0234 THEN delete;
RUN; QUIT;
