/* electricity_differences.sas */
TITLE1 'First and second order differences';
TITLE2 'Electricity Data';   
/* Note that this program requires the macro mkfields.sas to be submitted before this program */

/* Read in the data, compute moving average of length as 12
     as well as first and second order differences */
DATA data1(KEEP=year sum delta1 delta2);
  INFILE 'c:\data\electric.txt';
  INPUT year t jan feb mar apr may jun jul aug sep oct nov dec;
  sum=jan+feb+mar+apr+may+jun+jul+aug+sep+oct+nov+dec;
  delta1=DIF(sum);
  delta2=DIF(delta1);

/* Graphical options */
AXIS1 LABEL=NONE;
SYMBOL1 V=DOT C=GREEN I=JOIN H=0.5 W=1;

/* Generate three plots */
GOPTIONS NODISPLAY;
PROC GPLOT DATA=data1 GOUT=fig;
  PLOT sum*year    / VAXIS=AXIS1 HAXIS=AXIS2;
  PLOT delta1*year / VAXIS=AXIS1 VREF=0;
  PLOT delta2*year / VAXIS=AXIS1 VREF=0;
RUN;

/* Display them in one output */
GOPTIONS DISPLAY;
PROC GREPLAY NOFS IGOUT=fig TC=SASHELP.TEMPLT;
  TEMPLATE=V3;
  TREPLAY 1:GPLOT 2:GPLOT1 3:GPLOT2;
RUN; DELETE _ALL_; QUIT;
