/* females.sas */
TITLE1 'Simple Moving Average of Order 17';
TITLE2 'Unemployed Females Data';

/* Read in the data and generate SAS-formatted date */
DATA data1;
  INFILE 'c:\data\female.txt';
  INPUT upd @@;
  date=INTNX('month','01jan61'd, _N_-1);
  FORMAT date yymon.;

/* Compute the simple moving averages of order 17 */
PROC EXPAND DATA=data1 OUT=data2 METHOD=NONE;
  ID date;
  CONVERT upd=ma17 / TRANSFORM=(CMOVAVE 17);

/* Graphical options */
AXIS1 LABEL=(ANGLE=90 'Unemployed Females');
AXIS2 LABEL=('Date');
SYMBOL1 V=DOT  C=GREEN I=JOIN H=.5 W=1;
SYMBOL2 V=STAR C=GREEN I=JOIN H=.5 W=1;
LEGEND1 LABEL=NONE VALUE=('Original data' 'Moving average of order 17');

/* Plot the data together with the simple moving average */
PROC GPLOT DATA=data2;
  PLOT upd*date=1  ma17*date=2 / OVERLAY VAXIS=AXIS1 HAXIS=AXIS2  LEGEND=LEGEND1;

RUN; QUIT;
