/* gompertz.sas */
TITLE1 'Gompertz curves';

/* Generate the data for different Gompertz functions */
DATA data1;
 beta1=1;
 DO beta2=-1, 1;
   DO beta3=0.05, 0.5;
     DO t=0 TO 4 BY 0.05;
     s=COMPRESS('(' || beta1 || ',' || beta2 || ',' || beta3 || ')');
     f_g=EXP(beta1+beta2*beta3**t);
     OUTPUT;
     END; 
   END; 
 END;

/* Graphical Options */
SYMBOL1 C=GREEN V=NONE I=JOIN L=1;
SYMBOL2 C=GREEN V=NONE I=JOIN L=2;
SYMBOL3 C=GREEN V=NONE I=JOIN L=3;
SYMBOL4 C=GREEN V=NONE I=JOIN L=33;
AXIS1 LABEL=(H=2 'f' H=1 'G' H=2 '(t)');
AXIS2 LABEL=('t');
LEGEND1 LABEL=(F=CGREEK H=2 '(b' H=1 '1' H=2 ',b' H=1 '2' H=2 ',b' H=1 '3' H=2 ')=');

/*Plot the functions */
PROC GPLOT DATA=data1;
     PLOT f_g*t=s / VAXIS=AXIS1 HAXIS=AXIS2 LEGEND=LEGEND1;
RUN; QUIT;
