/* logistic.sas */
TITLE1 'Plots of the Logistic Function';

/* Generate the data for different logistic functions */
DATA data1;
 beta3=1;
 DO beta1= 0.5, 1;
   DO beta2=0.1, 1;
     DO t=-10 TO 10 BY 0.5;
     s=COMPRESS('(' || beta1 || ',' || beta2 || ',' || beta3 || ')');
     f_log=beta3/(1+beta2*EXP(-beta1*t));
     OUTPUT;
     END; 
   END; 
 END;

/* Graphical Options */
SYMBOL1 C=GREEN V=NONE I=JOIN L=1;
SYMBOL2 C=GREEN V=NONE I=JOIN L=2;
SYMBOL3 C=GREEN V=NONE I=JOIN L=3;
SYMBOL4 C=GREEN V=NONE I=JOIN L=33;
AXIS1 LABEL=(H=2 'f' H=1 'log' H=2 '(t)');
AXIS2 LABEL=('t');
LEGEND1 LABEL=(F=CGREEK H=2 '(b' H=1 '1' H=2 ', b' H=1 '2' H=2 ',b' H=1 '3' H=2 ')=');

/* Plot the functions */
PROC GPLOT DATA=data1;
    PLOT f_log*t=s / VAXIS=AXIS1 HAXIS=AXIS2 LEGEND=LEGEND1;
RUN; QUIT;
