/* sunspot_correlogram */
TITLE1 'Correlogram of first order differences';
TITLE2 'Sunspot Data';

/* Read in the data, generate year of observation and
     compute first order differences */
DATA data1;
  INFILE 'c:\data\sunspot.txt';
  INPUT spot @@;
  date=1748+_N_;
  diff1=DIF(spot);

/* Compute autocorrelation function */
PROC ARIMA DATA=data1;
  IDENTIFY VAR=diff1 NLAG=49 OUTCOV=corr NOPRINT;

/* Graphical options */
AXIS1 LABEL=('r(k)');
AXIS2 LABEL=('k') ORDER=(0 12 24 36 48) MINOR=(N=11);
SYMBOL1 V=DOT C=GREEN I=JOIN H=0.5 W=1;

/* Plot autocorrelation function */
PROC GPLOT DATA=corr;
  PLOT CORR*LAG / VAXIS=AXIS1 HAXIS=AXIS2 VREF=0;
RUN; QUIT;
