/* unemployed1_x11.sas */
TITLE1 'Original and X-11 seasonal adjusted data';
TITLE2 'Unemployed1 Data';

/* Read in the data and generated SAS-formatted date */
DATA data1;
INFILE 'c:\data\unemployed1.txt';
INPUT month $ t upd;
date=INTNX('month','01jul75'd, _N_-1);
FORMAT date yymon.;

/* Apply X-11-Program */
PROC X11 DATA=data1;
  MONTHLY DATE=date ADDITIVE;
  VAR upd;
  OUTPUT OUT=data2 B1=upd D11=updx11;

/* Graphical options */
AXIS1 LABEL=(ANGLE=90 'unemployed');
AXIS2 LABEL=('Date') ;
SYMBOL1 V=DOT C=GREEN I=JOIN H=1 W=1;
SYMBOL2 V=STAR C=GREEN I=JOIN H=1 W=1;
LEGEND1 LABEL=NONE VALUE=('original' 'adjusted');

/* Plot data and adjusted data */
PROC GPLOT DATA=data2;
  PLOT upd*date=1  updx11*date=2 
      / OVERLAY VAXIS=AXIS1 HAXIS=AXIS2 LEGEND=LEGEND1;
RUN; QUIT;
