/* aliasing.sas */
TITLE1 'Aliasing';

/* Generate harmonic waves */
DATA data1;
  DO t=1 TO 14 BY .01;
    y1=COS(2*CONSTANT('PI')*2/11*t);
    y2=COS(2*CONSTANT('PI')*9/11*t);
    OUTPUT;
  END;

/* Generate points of intersection */
DATA data2;
  DO t0=1 TO 14;
    y0=COS(2*CONSTANT('PI')*2/11*t0);
    OUTPUT;
  END;

/* Merge the data sets */
DATA data3;
  MERGE data1 data2;

/* Graphical options */
SYMBOL1 V=DOT  C=GREEN I=NONE H=.8;
SYMBOL2 V=NONE C=RED   I=JOIN;
AXIS1 LABEL=NONE;
AXIS2 LABEL=('t');

/* Plot the curves with point of intersection */
PROC GPLOT DATA=data3;
  PLOT y0*t0=1 y1*t=2 y2*t=2 / OVERLAY VAXIS=AXIS1 HAXIS=AXIS2 VREF=0;
RUN; QUIT;
