/* bankruptcy_correlogram.sas */
TITLE1 'Correlogram';
TITLE2 'Bankruptcy Data';

/* Read in the data */
DATA data1;
  INFILE 'c:\data\bankrupt.txt';
  INPUT year bankrupt;

/* Compute autocorrelation function */
PROC ARIMA DATA=data1;
  IDENTIFY VAR=bankrupt NLAG=64 OUTCOV=corr NOPRINT;

/* Graphical options */
AXIS1 LABEL=('r(k)');
AXIS2 LABEL=('k');
SYMBOL1 V=DOT C=GREEN I=JOIN H=0.4 W=1;

/* Plot auto correlation function */
PROC GPLOT DATA=corr;
  PLOT CORR*LAG / VAXIS=AXIS1 HAXIS=AXIS2 VREF=0;
RUN; QUIT;
