/* bankruptcy_periodogram.sas */
TITLE1 'Periodogram';
TITLE2 'Bankruptcy Data';

/* Read in the data */
DATA data1;
  INFILE 'c:\data\bankrupt.txt';
  INPUT year bankrupt;

/* Compute the periodogram */
PROC SPECTRA DATA=data1 P OUT=data2;
  VAR bankrupt;

/* Adjusting different periodogram definitions */
DATA data3;
  SET data2(FIRSTOBS=2);
  p=P_01/2;
  lambda=FREQ/(2*CONSTANT('PI'));

/* Graphical options */
SYMBOL1 V=NONE C=GREEN I=JOIN;
AXIS1 LABEL=('I' F=CGREEK '(l)') ;
AXIS2 ORDER=(0 TO 0.5 BY 0.05) LABEL=(F=CGREEK 'l');

/* Plot the periodogram */
PROC GPLOT DATA=data3;
  PLOT p*lambda / VAXIS=AXIS1 HAXIS=AXIS2;
RUN; QUIT;
