/* star_harmonic.sas */
TITLE1 'Harmonic wave';
TITLE2 'Star Data';

/* Read in the data and compute harmonic waves to which data are to be fitted */
DATA data1;
  INFILE 'c:\data\star.txt';
  INPUT lumen @@;
  t=_N_;
  pi=CONSTANT('PI');
  sin24=SIN(2*pi*t/24);
  cos24=COS(2*pi*t/24);
  sin29=SIN(2*pi*t/29);
  cos29=COS(2*pi*t/29);

/* Compute a regression */
PROC REG DATA=data1;
  MODEL lumen=sin24 cos24 sin29 cos29;
  OUTPUT OUT=regdat P=predi;

/* Graphical options */
SYMBOL1 C=GREEN V=DOT I=NONE H=.4;
SYMBOL2 C=RED V=NONE I=JOIN;
AXIS1 LABEL=(ANGLE=90 'lumen');
AXIS2 LABEL=('t');

/* Plot data and fitted harmonic wave */
PROC GPLOT DATA=regdat(OBS=160);
  PLOT lumen*t=1 predi*t=2 / OVERLAY VAXIS=AXIS1 HAXIS=AXIS2;
RUN; QUIT;
