/* ar1_autocorrelation.sas */
TITLE1 'Autocorrelation functions of AR(1)-processes';

/* Generate data for different autocorrelation functions */
DATA data1;
  DO a=-0.7, 0.5, 0.9;
    DO s=0 TO 20;
      rho=a**s;
      OUTPUT;
    END;
  END;

/* Graphical options */
SYMBOL1 C=GREEN V=DOT I=JOIN H=0.3 L=1;
SYMBOL2 C=GREEN V=DOT I=JOIN H=0.3 L=2;
SYMBOL3 C=GREEN V=DOT I=JOIN H=0.3 L=33;
AXIS1 LABEL=('s');
AXIS2 LABEL=(F=CGREEK 'r' F=COMPLEX H=1 'a' H=2 '(s)');
LEGEND1 LABEL=('a=') SHAPE=SYMBOL(10,0.6);

/* Plot autocorrelation functions */
PROC GPLOT DATA=data1;
  PLOT rho*s=a / HAXIS=AXIS1 VAXIS=AXIS2 LEGEND=LEGEND1 VREF=0;
RUN; QUIT;
