/* ar1_plot.sas */
TITLE1 'Realizations of AR(1)-processes';

/* Generated AR(1)-processes */
DATA data1;
  DO a=0.5, 1.5;
    t=0; y=0; OUTPUT;
    DO t=1 TO 10;
      y=a*y+RANNOR(1);
      OUTPUT;
    END;
  END;

/* Graphical options */
SYMBOL1 C=GREEN V=DOT I=JOIN H=0.4 L=1;
SYMBOL2 C=GREEN V=DOT I=JOIN H=0.4 L=2;
AXIS1 LABEL=('t') MINOR=NONE;
AXIS2 LABEL=('Y' H=1 't');
LEGEND1 LABEL=('a=') SHAPE=SYMBOL(10,0.6);

/* Plot the AR(1)-processes */
PROC GPLOT DATA=data1(WHERE=(t>0));
  PLOT y*t=a / HAXIS=AXIS1 VAXIS=AXIS2 LEGEND=LEGEND1;
RUN; QUIT;
