/* ar2_epa.sas */
TITLE1 'Empirical partial autocorrelation function';
TITLE2 'of simulated AR(2)-process data';
/* Note that this program requires data1 generated by the previous program (ar2_plot.sas) */

/* Compute partial autocorrelation function */
PROC ARIMA DATA=data1(WHERE=(t>0));
  IDENTIFY VAR=y NLAG=50 OUTCOV=corr NOPRINT;

/* Graphical options */
SYMBOL1 C=GREEN V=DOT I=JOIN H=0.7;
AXIS1 LABEL=('k');
AXIS2 LABEL=('a(k)');

/* Plot autocorrelation function */
PROC GPLOT DATA=corr;
  PLOT PARTCORR*LAG / HAXIS=AXIS1 VAXIS=AXIS2 VREF=0;
RUN; QUIT;
