/* ar2_plot.sas */
TITLE1 'Realisation of an AR(2)-process';

/* Generated AR(2)-process */
DATA data1;
  t=-1; y=0; OUTPUT;
  t=0; y1=y; y=0; OUTPUT;
  DO t=1 TO 200;
     y2=y1;
     y1=y;
     y=0.6*y1-0.3*y2+RANNOR(1);
     OUTPUT;
  END;

/* Graphical options */
SYMBOL1 C=GREEN V=DOT I=JOIN H=0.3;
AXIS1 LABEL=('t');
AXIS2 LABEL=('Y' H=1 't');

/* Plot the AR(2)-processes */
PROC GPLOT DATA=data1(WHERE=(t>0));
  PLOT y*t / HAXIS=AXIS1 VAXIS=AXIS2;
RUN; QUIT;
