/* arma11_autocorrelation.sas */
TITLE1 'Autocorrelation functions of ARMA(1,1)-processes';

/* Compute autocorrelations functions for different ARMA(1,1)-processes */
DATA data1;
 DO a=-0.8, 0.8;
   DO b=-0.5, 0, 0.5;
     s=0; rho=1;
     q=COMPRESS('(' || a || ',' || b || ')');
     OUTPUT;
     s=1; rho=(1+a*b)*(a+b)/(1+2*a*b+b*b);
     q=COMPRESS('(' || a || ',' || b || ')');
     OUTPUT;
     DO s=2 TO 10;
        rho=a*rho;
        q=COMPRESS('(' || a || ',' || b || ')');
        OUTPUT;
     END;
   END;
 END;

/* Graphical options */
SYMBOL1 C=RED V=DOT I=JOIN H=0.7 L=1;
SYMBOL2 C=YELLOW V=DOT I=JOIN H=0.7 L=2;
SYMBOL3 C=BLUE V=DOT I=JOIN H=0.7 L=33;
SYMBOL4 C=RED V=DOT I=JOIN H=0.7 L=3;
SYMBOL5 C=YELLOW V=DOT I=JOIN H=0.7 L=4;
SYMBOL6 C=BLUE V=DOT I=JOIN H=0.7 L=5;
AXIS1 LABEL=(F=CGREEK 'r' F=COMPLEX '(k)');
AXIS2 LABEL=('lag k') MINOR=NONE;
LEGEND1 LABEL=('(a,b)=') SHAPE=SYMBOL(10,0.8);

/* Plot the autocorrelation functions */
PROC GPLOT DATA=data1;
  PLOT rho*s=q / VAXIS=AXIS1 HAXIS=AXIS2 LEGEND=LEGEND1;
RUN; QUIT;
