/* hog_dickey_fuller.sas */
TITLE1 'Testing for Unit Roots by Dickey-Fuller';
TITLE2 'Hog Data (1867-1948)';
/* Note that this program needs data3 generated by the previous program (hog.sas) */

/* Prepare data set for regression */
DATA regression;
  SET data3;
  supply1=LAG(supply);
  price1=LAG(price);

/* Estimate gamma for both series by regression */
PROC REG DATA=regression OUTEST=est;
  MODEL supply=supply1 / NOINT NOPRINT;
  MODEL price=price1   / NOINT NOPRINT;

/* Compute test statistics for both series */
DATA dickeyfuller1;
  SET est;
  xsupply= 81*(supply1-1);
  xprice= 81*(price1-1);

/* Compute p-values for the three models */
DATA dickeyfuller2;
  SET dickeyfuller1;
  psupply=PROBDF(xsupply,81,1,"RZM");
  pprice=PROBDF(xprice,81,1,"RZM");

/* Print the results */
PROC PRINT DATA=dickeyfuller2(KEEP= xsupply xprice psupply pprice);
RUN; QUIT;
