/* hongkong_pa.sas */
TITLE1 'ARCH(3)-model';
TITLE2 'Hongkong Data';
/* Note that this program needs data1 generated by the previous program (hongkong_plot.sas) */

/* Compute (partial) autocorrelation function */
PROC ARIMA DATA=data1;
  IDENTIFY VAR=y NLAG=50 OUTCOV=data3;
  IDENTIFY VAR=y2 NLAG=50 OUTCOV=data2;

/* Graphical options */
SYMBOL1 C=RED V=DOT H=0.5 I=JOIN;
AXIS1 LABEL=(ANGLE=90);

/* Plot autocorrelation function of supposed ARCH data */
PROC GPLOT DATA=data3;
  PLOT corr*lag / VREF=0 VAXIS=AXIS1;
RUN;


/* Plot partial autocorrelation function of squared data */
PROC GPLOT DATA=data2;
  PLOT partcorr*lag / VREF=0 VAXIS=AXIS1;
RUN;

/* Estimate ARCH(3)-model */
PROC AUTOREG DATA=data1;
  MODEL y = / NOINT GARCH=(q=3) DIST=T;
RUN; QUIT;
