/* hongkong_plot.sas */
TITLE1 'Daily log returns and their squares';
TITLE2 'Hongkong Data ';

/* Read in the data, compute log return and their squares */
DATA data1;
  INFILE 'c:\data\hongkong.txt';
  INPUT p@@;
  t=_N_;
  y=DIF(LOG(p));
  y2=y**2;

/* Graphical options */
SYMBOL1 C=RED V=DOT H=0.5 I=JOIN L=1;
AXIS1 LABEL=('y' H=1 't') ORDER=(-.12 TO .10 BY .02);
AXIS2 LABEL=('y2' H=1 't');

/* Generate two plots */
GOPTIONS NODISPLAY;
PROC GPLOT DATA=data1 GOUT=abb;
  PLOT y*t  / VAXIS=AXIS1;
  PLOT y2*t / VAXIS=AXIS2;
RUN;

/* Display them in one output */
GOPTIONS DISPLAY;
PROC GREPLAY NOFS IGOUT=abb TC=SASHELP.TEMPLT;
  TEMPLATE=V2;
  TREPLAY 1:GPLOT 2:GPLOT1;
RUN; DELETE _ALL_; QUIT;
