/* ar1_sd.sas */
TITLE1 'Spectral densities of AR(1)-processes';

/* Compute spectral densities of AR(1)-processes */
DATA data1;
  DO a=-.4, -.2, .2, .4;
    DO lambda=0 TO .5 BY .005;
      f=1/(1-2*a*COS(2*CONSTANT('PI')*lambda)+a*a);
      OUTPUT;
    END;
  END;

/* Graphical options */
AXIS1 LABEL=('f' H=1 'Y' H=2 F=CGREEK '(l)');
AXIS2 LABEL=(F=CGREEK 'l');
SYMBOL1 V=NONE C=GREEN I=JOIN L=4;
SYMBOL2 V=NONE C=GREEN I=JOIN L=2;
SYMBOL3 V=NONE C=GREEN I=JOIN L=33;
SYMBOL4 V=NONE C=GREEN I=JOIN L=1;
LEGEND1 LABEL=('a=');

/* Plot spectral densities of AR(1)-processes */
PROC GPLOT DATA=data1;
  PLOT f*lambda=a / VAXIS=AXIS1 HAXIS=AXIS2 LEGEND=LEGEND1;
RUN; QUIT;
