/* ma1_sd.sas */
TITLE1 'Spectral densities of MA(1)-processes';

/* Compute spectral densities of MA(1)-processes */
DATA data1;
 DO b=-.9, -.2, .2, .9;
    DO lambda=0 TO .5 BY .005;
      f=(1+2*b*COS(2*CONSTANT('PI')*lambda)+b*b);
      OUTPUT;
    END;
 END;

/* Graphical options */
AXIS1 LABEL=('f' H=1 'Y' H=2 F=CGREEK '(l)');
AXIS2 LABEL=(F=CGREEK 'l');
SYMBOL1 V=NONE C=GREEN I=JOIN L=4;
SYMBOL2 V=NONE C=GREEN I=JOIN L=2;
SYMBOL3 V=NONE C=GREEN I=JOIN L=33;
SYMBOL4 V=NONE C=GREEN I=JOIN L=1;
LEGEND1 LABEL=('b=');

/* Plot spectral densities of MA(1)-processes */
PROC GPLOT DATA=data1;
  PLOT f*lambda=b / VAXIS=AXIS1 HAXIS=AXIS2 LEGEND=LEGEND1;
RUN; QUIT;
