TITLE1 'Power transfer function';
TITLE2 'of the seasonal difference filter of order 12';

/* Compute power transfer function */
DATA data1;
  DO lambda=0 TO .5 BY .001;
    g=4*SIN(CONSTANT('PI')*lambda*12)**2;
    OUTPUT;
  END;

/* Graphical options */
AXIS1 LABEL=('g' H=1 'a' H=2 '(' F=CGREEK 'l)');
AXIS2 LABEL=(F=CGREEK 'l');
SYMBOL1 V=NONE C=GREEN I=JOIN;

/* Plot power transfer function */
PROC GPLOT DATA=data1;
  PLOT g*lambda / VAXIS=AXIS1 HAXIS=AXIS2;
RUN; QUIT;
