/* power_transfer_sma3.sas */
TITLE1 'Power transfer function';
TITLE2 'of the simple moving average of length 3';

/* Compute power transfer function */
DATA data1;
  DO lambda=.001 TO .5 BY .001;
    g=(SIN(3*CONSTANT('PI')*lambda)/(3*SIN(CONSTANT('PI')*lambda)))**2;
    OUTPUT;
  END;

/* Graphical options */
AXIS1 LABEL=('g' H=1 'a' H=2 '(' F=CGREEK 'l)');
AXIS2 LABEL=(F=CGREEK 'l');
SYMBOL1 V=NONE C=GREEN I=JOIN;

/* Plot power transfer function */
PROC GPLOT DATA=data1;
  PLOT g*lambda / VAXIS=AXIS1 HAXIS=AXIS2;
RUN; QUIT;
