/* transfer.sas */
TITLE1 'Transfer function';
TITLE2 'of least squares fitted low pass filter';

/* Compute transfer function */
DATA data1;
 DO lambda=0 TO .5 BY .001;   
   f=2*1/10;
   DO u=1 TO 20;
     f=f+2*1/(CONSTANT('PI')*u)*SIN(2*CONSTANT('PI')*1/10*u)*COS(2*CONSTANT('PI')*lambda*u);
   END;
   OUTPUT;
 END;

/* Graphical options */
AXIS1 LABEL=('f' H=1 'a' H=2 F=CGREEK '(l)');
AXIS2 LABEL=(F=CGREEK 'l');
SYMBOL1 V=NONE C=GREEN I=JOIN L=1;

/* Plot transfer function */
PROC GPLOT DATA=data1;
  PLOT f*lambda / VAXIS=AXIS1 HAXIS=AXIS2 VREF=0;
RUN; QUIT;
