%%
%% This is file `timeseries-book.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% timeseries-book.dtx  (with options: `class')
%% 
%% This is a generated file.
%% 
%% Copyright (C) 2004 by Peter Dinges <me@elwedgo.de>
%% 
%% This file may be distributed and/or modified under the conditions of
%% the LaTeX Project Public License, either version 1.2 of this license
%% or (at your option) any later version.  The latest version of this
%% license is in:
%% 
%%    http://www.latex-project.org/lppl.txt
%% 
%% and version 1.2 or later is part of all distributions of LaTeX version
%% 1999/12/01 or later.
%% 
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{timeseries-book}
    [2010/04/06 v1.0 Time Series Book layout and macros]
\LoadClass[a4paper,oneside,14pt,titlepage]{extbook}
\ProcessOptions
\def\@timeseriesPackageName{Timeseries Book}
\RequirePackage[
  twoside, a4paper, portrait,
  includeall, ignorefoot,
  marginparwidth=.075\paperwidth, marginparsep=1em, bindingoffset=1.0cm,
  scale={0.85, 0.8}
]{geometry}
%%\marginparwidth=.05\paperwidth
%%\marginparsep=1em
\RequirePackage{helvet}
\RequirePackage{fancyhdr}
\RequirePackage[usenames]{color}
\RequirePackage{multicol}[2000/07/10 v1.5z]
\RequirePackage{url}
\RequirePackage{courier}
\ifx\pdfpagewidth\undefined
  \RequirePackage[dvips]{graphicx}[1999/02/16 v1.0f]
\else
  \RequirePackage[pdftex]{graphicx}[1999/02/16 v1.0f]
  \RequirePackage[pdftex]{hyperref}
  \pdfcompresslevel=9
\fi
\RequirePackage{listings}[2002/04/01 1.0 (Carsten Heinz)]
\RequirePackage{float}[2001/11/08 v1.3d Float enhancements (AL)]
\newcommand{\tsbook@refCounter}[2]{%
  \expandafter\let\expandafter\temp@ref\csname c@#1\endcsname%
  \expandafter\let\csname c@#2\endcsname\temp@ref%
  \expandafter\def\csname the#2\endcsname{%
    \csname the#1\endcsname
  }%
}
\let\file=\url
%% Macros for strict checking of odd pagenumber.
%% They were copied from the chngpage package by Peter Wilson.
\newif\ifcpoddpage
\newcounter{cp@cnt}
\newcounter{cp@tempcnt}
\newcommand{\cplabelprefix}{^_}

\gdef\thecp@page{\the\c@page}
\long\def\cp@protected@write#1#2#3{%  % modified \protected@write
  \begingroup%
  \let\thecp@page\relax%
  #2%
  \let\protect\@unexpandable@protect%
  \edef\reserved@a{\write#1{#3}}%
  \reserved@a%
  \endgroup%
  \if@nobreak\ifvmode\nobreak\fi\fi}%

\DeclareRobustCommand{\checkoddpage}{%
  \cpoddpagefalse%
  \stepcounter{cp@cnt}\cplabel{\cplabelprefix\thecp@cnt}%
  \c@cp@tempcnt=\cp@labelref{\cplabelprefix\thecp@cnt}\relax%
  \ifodd\c@cp@tempcnt\cpoddpagetrue\fi}%

\newcommand{\cplabel}[1]{\@bsphack%
  \cp@protected@write\@auxout{}%
    {\string\newcplabel{#1}{\thecp@page}}%
  \@esphack}

\newcommand{\newcplabel}[2]{{\global\@namedef{p@#1}{#2}}}

\newcommand{\cp@labelref}[1]{%
  \expandafter\ifx\csname p@#1\endcsname\relax%
    0%  % 0 if there is no label yet in aux file
  \else%
    \csname p@#1\endcsname%
  \fi}%
\newcommand{\numberingfile}[1]{\def\numbering@fileName{#1}}
\numberingfile{\jobname .num}
\newcounter{float}[section]
\renewcommand{\thefloat}{%
  \expandafter\ifnum\value{section}>0 \thesection.\fi \arabic{float}%
}
%% Define basic float environments.
\floatstyle{plain}

\newfloat{figure}{htbp}{lof}  % Create float
\floatname{figure}{Figure}    % Set name for \caption macro
\tsbook@refCounter{float}{figure}    % Set counter to general float counter

\newfloat{table}{htbp}{lot}
\floatname{table}{Table}
%%\tsbook@refCounter{float}{table} % FIXME: Disabled for presentation.
%% FIXME: Begin workaround for presentation.
\newcounter{sectable}[section]
\tsbook@refCounter{sectable}{table}
\renewcommand{\thesectable}{%
  \expandafter\ifnum\value{section}>0 \thesection.\fi \arabic{sectable}%
}
%% FIXME: End workaround for presentation

\newfloat{plot}{htbp}{lop}
\floatname{plot}{Plot}
\renewcommand{\theplot}{%
    \expandafter\ifnum\value{section}>0 \thesection.\fi \arabic{plots} } %
\tsbook@refCounter{float}{plot}  %%%%%  Zhlung von Plots wird mit Kapitelzhlung verglichen.

%% Listing environments
\lstloadlanguages{sas}
\definecolor{lightGray}{rgb}{0.9,0.9,0.9}
\newcommand{\tsbook@postBreakArrow}{\mbox{$\hookrightarrow$}}
\lstdefinestyle{Program}{
  captionpos=b,
  showspaces=false,
  frame=none,
  backgroundcolor=\color{lightGray},
  breaklines=true,
  postbreak=\tsbook@postBreakArrow,
  basicstyle=\footnotesize\ttfamily,
  commentstyle=\slshape,
  numbers=left,
  numberstyle=\tiny,
  keywordstyle=\bfseries,
  ndkeywordstyle=\bfseries \slshape
}
\lstdefinelanguage{tsbooksas}
{
morecomment=[s]{/*}{*/},
morecomment=[s]{***}{;},
morekeywords={PROC, DATA, INFILE, INPUT, PRINT, RUN, QUIT, NOOBS, TITLE1, TITLE2, AXIS1, AXIS2, SYMBOL1, SYMBOL2,
SYMBOL3, SYMBOL4, LABEL, GPLOT, PLOT, VAXIS, HAXIS, DO, BY, END, OUTPUT, CLASS, TO, MEANS, STATESPACE, NLIN, SET,
MERGE, WHERE, FORMAT, LEGEND, OVERLAY, LEGEND1, MODEL, PARAMETERS, ARIMA, ANOVA, UNIVARIATE, TTEST, NPAR1WAY, UNTIL,
OBS, KEEP, DROP, ID, CONVERT, TRANFORM, OUT, OUTPUT, METHOD, VALUE, VAR, DECOMP, MODE, ADD, X11, MONTHLY,
ADDITIVE, GOPTIONS, NODISPLAY, NOFS, GREPLAY, IGOUT, TEMPLATE, TREPLAY, GPLOT1, GPLOT2, DELETE, ACCESS, ACECLUS,
ALLELE, ANOM, APPEND, APPSRV, AUTOREG, BMDP, BOM, BOXPLOT, BUILD, CALENDAR, CALIS, CANCORR, CANDISC, CAPABILITY,
CASECONTROL, CATALOG, CATMOD, CHART, CIMPORT, CLP, CLUSTER, COMPARE, COMPUTAB, CONTENTS, CONVERT, COPY, CORR, CORRESP
CPM, CPORT, CUSUM, CV2VIEW, DATASETS, DATASOURCE, DB2EXT, DB2UTIL, DBCSTAB, DBF, DBLOAD, DIFF, DICSRIM, DISPLAY,
DISTANCE, DOCUMENT, DOWNLOAD, DQMATCH, DQSCHEME, DTREE, ENTROPY, EXPAND, EXPORT, FACTEX, FACTOR, FAMILY, FASTCLUS,
FCMP, FRONTREG, FORECAST, FORMAT, FRQ, FSBROWSE, FSEDIT, FSLETTER, FSLIST, FSVIEW, G3D, G3GRID, G4GRID, GANNO,
GANTT, GAREBAR, GBARLINE, GCHART, GCONTOUR, GDEVICE, GENMOD, GFONT, GIMPORT, GIS, GKEYMAP, GLM, GLMMOD, GLMPOWER,
GMAP, GOPTIONS, GPRINT, GPROJECT, GRADAR, GREDUCE, GREMOVE, GREPLAY, GSLIDE, GTESTIT, HAPLOTYPE, HTSNP, IML,
IMPORT, INBREED, INFOMAPS, INTPOINT, IRP, ISHIKAWA, ITEMS, KDE, KRIGE2D, LATTICE, LIFEREG, LIFETEST, LOAN, LOESS,
LOGISTIC, MDC, MDS, METADATA, METALIB, DATALIB, METAOPERATE, MIANALYZE, MIGRATE, MIRP, MIXED, MODECLUS, MODEL,
MULTITEST, NESTED, NETDRAW, NETFLOW, NLIN, NLMIXED, NLP, OLAP, OPERATE, OPTEX, OPTIONS, OPTLOAD, OPTLP, OPTMODEL, OPTQP,
OPTSAVE, ORTHOREG, PARETO, PDLREG, PDS, PDSCOPY, PHREG, PLAN, PLOT, PMENUE, POWER; PRINCOMP, PRINQUAL, PRINT,
PRINTTO, PROBIT, PRTDEF, PRTEXP, PSMOOTH, PWENCODE, QLIM, QUEST, RANK, REG, REGISTRY, RELEASE, RELIABILITY,
REPORT, ROBUSTREG, RSREG, SCORE, SERVER, SHEWHART, SIM2D, SIMLIN, SORT, SOURCE, SPECTRA, SQL, STANDARD, STATESPACE,
STDIZE, STEPDISC, SUMMARY, SURVEYFREQ, SURVEYLOGISTIC, SURVEYMEANS, SURVEYREG, SURVEYSELECT, SYSLIN, TABULATE,
TAPECOPY, TAPELABEL, TIMEPLOT, TIMESERIES, TPHREG, TPSPLINE, TRANSPOSE, TRANTAB, TREE, TSCSREG, UCM, UPLOAD,
VARCLUS, VARCOMP, VARIOGRAMM, VARMAX, X12, SEASONALITY, OUTDECOMP, VREF, HREF, IDENTIFY, NLAG, NOPRINT, OUTCOV,
SYMBOL5, SYMBOL6, SYMBOL7, SYMBOL8, AXIS3, LEAD, TITLE3, TITLE4, IF, THEN, RETAIN, WEIGHTS, AXIS4, AXIS5, AXIS6,
AXIS7, AXIS8, LEGEND2, ESTIMATE, RENAME, ARRAY, LIBNAME, VBAR, MIDPOINTS, RAXIS, MAXIS, SPACE, FREQ, TABLES,
FIRSTOBS, BOXSTYLE, SCHEMATIC, QQPLOT, STOP, VBAR, DISCRETE, SUMVAR, CARDS, NOTSORTED, SUBGROUP, WILCOXON,
INTERCEPT, WEIGHT, NOCOL, NOROW, EXACT, DESCENDING, BLOCK, GOPTION, HPOS, VPOS, NOPERCENT, CHISQ, TITLE, SPLIT,
RESPONSE, WLS, NODESIGN, PRED, PROB, BUBBLE, DIRECT, DISCRIM, PRIORS, OUTTREE, SCATTER},
morendkeywords={MACRO,MEND},
sensitive=true
}
\lstdefinestyle{Printout}{
  captionpos=b,
  frame=none,
  backgroundcolor=\color{lightGray},
  breaklines=true,
  postbreak=\tsbook@postBreakArrow,
  basicstyle=\footnotesize\ttfamily
}

\tsbook@refCounter{float}{lstlisting} %%%%%%%%%%% Zhlung von Programmen wird mit Kapitelzhlung verglichen.

\newif\if@sasOn
\@sasOnfalse
\newif\if@sasProgramExists
\global\@sasProgramExistsfalse
\newcounter{sasBackup@float}
\newenvironment{sas}{%
  \if@sasOn%
    \PackageError{\@timeseriesPackageName}{%
      Nested SAS-environment detected.\MessageBreak%
    }{%
      You've nested SAS-environments. Please check if all\MessageBreak%
      corresponding end{sas} statements do exist.%
    }
  \else%
    \@sasOntrue%
    \refstepcounter{float}%
    \setcounter{sasBackup@float}{\value{float}}%
    \setcounter{float}{0}%
    \let\sasBackup@thefloat\thefloat%
    \renewcommand{\thefloat}{%
      \expandafter\ifnum\value{section}>0 \thesection.\fi%
      \arabic{sasBackup@float}\ifnum\value{float}>1 \alph{float}\fi% alph-Parameter only if greater 2
    }%
    \medskip%
    \pagebreak[2]%
    \sas@beginRule%
    \nobreak%
  \fi%
}{%
  \setcounter{float}{\value{sasBackup@float}}%
  \let\thefloat\sasBackup@thefloat%
  \par\nobreak%
  \sas@endRule%
  \bigskip%
  \@sasOnfalse%
  \global\@sasProgramExistsfalse%
}
\newwrite\numbering@fileNr
\immediate\openout\numbering@fileNr=\numbering@fileName
\multicolsep 0pt
%% Program environment
\newenvironment{program}[1]{%
  \if@sasProgramExists%
    \PackageError{\@timeseriesPackageName}{%
      Multiple programs per SAS-environment detected.\MessageBreak%
    }{%
      You've included multiple programs into a SAS-environment.\MessageBreak%
      Don't do this since they will get the same number.%
    }%
  \fi%
  \if@sasOn%
    \let\sasBackup@thefloat\thefloat
    \renewcommand{\thefloat}{%
      \expandafter\ifnum\value{section}>0 \thesection.\fi%
      \arabic{sasBackup@float}%
    }%
    \global\@sasProgramExiststrue%
  \fi%
  \begingroup%
  \def\lstlistingname{Program}%
  \lstinputlisting[%
    language=tsbooksas,% Syntax highlighting
    style=Program,%
    %caption={#2}%
  ]{#1}%
  \immediate\write\numbering@fileNr{{\thelstlisting}{#1}}%
  \endgroup%
  \if@sasOn%
    \let\thefloat\programBackup@thefloat
  \fi%
  \begingroup%
  \footnotesize%
  \sffamily%
  \begin{multicols}{2}%
}{%
  \end{multicols}%
  \normalfont%
  \endgroup%
  \medskip%
}
%% Macro for SAS printouts.
\newcommand{\sasprintout}[2]{%
  \lstinputlisting[style=Printout,caption={#2}]{#1}%
  \immediate\write\numbering@fileNr{{\thelstlisting}{#1}}%
}
%% Macro for SAS plots.
\newcommand{\sasplot}[2]{%
  \pagebreak[2]%
  \begin{plot}[H]%
    \includegraphics[width=\linewidth]{#1}%
    \caption{#2}%
    \immediate\write\numbering@fileNr{{\theplot}{#1}}%
  \end{plot}%
}
%% First of all, set up general typesetting options.
\parindent 0pt
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip%
  \sbox\@tempboxa{\textsl{#1: #2}}%
  \ifdim \wd\@tempboxa >\hsize%
    \textsl{#1: #2}\par%
  \else%
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi%
  \vskip\belowcaptionskip%
}
\addtolength{\headwidth}{\marginparsep}
\addtolength{\headwidth}{\marginparwidth}
%% Define the page styles.
\fancypagestyle{plain}{%
  \fancyhf{}%
  \renewcommand{\headrulewidth}{0pt}%
  \renewcommand{\footrulewidth}{0pt}%
}
\fancypagestyle{headings}{%
  \fancyhf{}%
  \fancyhead[LE,RO]{\sffamily\thepage}%
  \fancyhead[RE]{\sffamily\leftmark}%
  \fancyhead[LO]{\sffamily\rightmark}%
  \renewcommand{\headrulewidth}{0.4pt}%
  \renewcommand{\footrulewidth}{0pt}%
}
\pagestyle{headings}
\newlength{\tsbook@chapterBoxWidth}
\setlength{\tsbook@chapterBoxWidth}{\paperwidth}
\addtolength{\tsbook@chapterBoxWidth}{-1cm}
\addtolength{\tsbook@chapterBoxWidth}{-\textwidth}
\addtolength{\tsbook@chapterBoxWidth}{-\marginparwidth}
\addtolength{\tsbook@chapterBoxWidth}{-\marginparsep}
\setlength{\tsbook@chapterBoxWidth}{.4\tsbook@chapterBoxWidth}
\addtolength{\tsbook@chapterBoxWidth}{\marginparwidth}
%% Set up chapter headings (based on book.cls).
\def\@makechapterhead#1{%
  \thispagestyle{empty}
  \vspace*{50\p@}%
  \marginpar{
    \sffamily\Large\chaptername\\
    \fcolorbox{white}{black}{
      \makebox[\tsbook@chapterBoxWidth][c]{
        \vbox{
          \vskip 2pt
          \color{white}
          \interlinepenalty\@M
          \hbox{%
            \sffamily\fontsize{108}{108}\bfseries\thechapter%
          }
          \vskip 2pt
        }
      }
    }
  }
  {\parindent \z@ \raggedright \sffamily
    \interlinepenalty\@M
    \Huge \bfseries #1\par\nobreak
    \vskip 40\p@
  }
}
\def\@makeschapterhead#1{%
  \thispagestyle{empty}
  \vspace*{50\p@}%
  {\parindent \z@ \raggedright \sffamily
    \interlinepenalty\@M
    \Huge \bfseries #1\par\nobreak
    \vskip 40\p@
  }
}
%% Now set up section headings (based on book.cls).
\setcounter{secnumdepth}{1}
\newlength{\tsbook@marginParTotalWidth}
\setlength{\tsbook@marginParTotalWidth}{\marginparwidth}
\addtolength{\tsbook@marginParTotalWidth}{\marginparsep}
\newlength{\tsbook@bodyWidth}
\setlength{\tsbook@bodyWidth}{\textwidth}
\addtolength{\tsbook@bodyWidth}{\tsbook@marginParTotalWidth}
\newcommand{\tsbook@sectionBox}[1]{%
    \null\nobreak\checkoddpage%
    \ifcpoddpage%
      \parbox{\tsbook@bodyWidth}{{\raggedleft #1}}
    \else%
      \hskip -\tsbook@marginParTotalWidth%
      \parbox{\tsbook@bodyWidth}{{\raggedright #1}}
    \fi%
    \nobreak%
}
%% Adjust section and paragraph headings style (based on book.cls).
\renewcommand\section{\@startsection {section}{1}{\z@}%
    {-3.5ex \@plus -1ex \@minus -.2ex}%
    {1.75ex \@plus .1ex}%
    {\sffamily\Large\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
    {-3.25ex\@plus -1ex \@minus -.2ex}%
    {1.ex \@plus .05ex}%
    {\sffamily\large\slshape\bfseries}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
    {-3.25ex\@plus -1ex \@minus -.2ex}%
    {.2ex \@plus .2ex}%
    {\sffamily\normalsize\bfseries}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
    {3.25ex \@plus1ex \@minus.2ex}%
    {-1em}%
    {\normalfont\normalsize\bfseries}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
    {3.25ex \@plus1ex \@minus .2ex}%
    {-1em}%
    {\normalfont\normalsize\bfseries\tsbook@sectionBox}}
%% Set layout for the table of contents (based on book.cls).
\setcounter{tocdepth}{1}
\renewcommand\tableofcontents{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\contentsname}
    \chaptermark{\contentsname}%
    \let\familydefault=\sfdefault\normalfont%
    \@starttoc{toc}%
    \let\familydefault=\rmdefault\normalfont%
    \if@restonecol\twocolumn\fi
}
\renewcommand*\l@section{\vskip .5em\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand{\sas@beginRule}{%
  \null\checkoddpage%
  \ifcpoddpage%
    \parbox[t][0pt]{\linewidth}{%
      \rule[-1.5pt]{\textwidth}{1.5pt}%
      \rule[0pt]{\tsbook@marginParTotalWidth}{0pt}%
    }%
  \else%
    \hskip -\tsbook@marginParTotalWidth%
    \parbox[t][0pt]{\linewidth}{%
      \rule[0pt]{\tsbook@marginParTotalWidth}{0pt}%
      \rule[-1.5pt]{\textwidth}{1.5pt}%
    }%
  \fi
}
\newcommand{\sas@endRule}{%
  \null\checkoddpage%
  \ifcpoddpage%
    \parbox[t][0pt]{\linewidth}{%
      \rule{\textwidth}{1.5pt}%
      \rule{\tsbook@marginParTotalWidth}{0pt}
    }%
  \else%
    \hskip -\tsbook@marginParTotalWidth%
    \parbox[t][0pt]{\linewidth}{%
      \rule{\tsbook@marginParTotalWidth}{0pt}%
      \rule{\textwidth}{1.5pt}%
    }%
  \fi
}
\newcommand{\subtitle}[1]{\def\@subtitle{#1}}
\newcommand{\project}[1]{\def\@project{#1}}
\renewcommand\maketitle{%
  \begin{titlepage}%
    \begingroup\sffamily
    \null\vskip 6.5cm
    \begin{center}%
      \includegraphics[width=.8\linewidth]{images/timeseries_logo_grey_150dpi}%
      \vskip -14cm
      {\Huge \@title \par}%
      \vskip 1em%
      {\Large \@subtitle \par}%
      \vskip 10.5cm%
      {\large
        \lineskip .5em%
          \@author\par%
      }
      \vskip 1em%
      {\large \@date}%
    \end{center}%
    \vfil\null
    \endgroup
  \end{titlepage}%
}
\endinput
%%
%% End of file `timeseries-book.cls'.
